Unlimited Plugins, WordPress themes, videos & courses! Unlimited asset downloads! From $16.50/m
by
Lessons:13Length:48 minutes

2.3 Setting up the Environment for Development

To fully take advantage of this course you will need a Mac. If you want to develop and distribute for iOS devices, you need an Intel-based Computer with Mac OS X Lion or greater, Xcode 4.5, and iOS 6 SDK and Xcode Command Line Tools. I am sure there are ways to get around that or exclude iOS from your target platforms but I am not covering that in this course. To distribute your applications to the iTunes App Store, you also need an iOS developer’s subscription, which costs $99 a year.

To get started on this course you need to have following installed:

For iOS (iPhone, iPad) development -

To develop for Android devices -

And, of course, download PhoneGap itself.